#include "485port.h"


int lib485::transfer(int fd, unsigned char *buf, bool model, int bytes)
{

    int nread=0,nwrite=0;
    if(model==0){//read
        nread=read(fd,buf,bytes);
        if(nread==-1){
            __android_log_print(ANDROID_LOG_INFO, "read", "ERROR");
            return 0;
        }
    }
    else{//write
        nwrite=write(fd,buf,bytes);
        if(nwrite==-1){
            __android_log_print(ANDROID_LOG_INFO, "write", "ERROR");
            return 0;
        }
    }
    return 0;

}
int lib485::delay()
{
    // while (--x);
    // std::this_thread::sleep_for(std::chrono::milliseconds(50));
    usleep(50000);
    return 0;
}

GpioControl gpio;

int lib485::readaddr() {        //测试用 读取地址
    unsigned char cmd[8]={0x68,0x00, 0x00, 0x68, 0xFF, 0x02, 0x01, 0x16};
    unsigned char req[8]={0xff};

    unsigned char txbuf[256];
    unsigned char rxbuf[256];

    memcpy(txbuf, (const void *) cmd, sizeof(cmd));

    gpio.set485WriteMode();
    gpio.set485ReadMode();
    gpio.set12VEnable(1);
    gpio.setRS485Enable(1);//z?
    const char *devname = "/dev/ttyS1";
    int fd=0;
    fd = Java_android_serialport_SerialPort_open(devname, 9600, 8, 1, 1, 1);//flag?

    for(int i=0;i<8;i++){
        transfer(fd,txbuf+i,1,1);
        __android_log_print(ANDROID_LOG_INFO, "testcmd", "cmd= %s ",txbuf+i);
    }
    close(fd);
    fd = open(devname, O_RDWR );

    for(int i=0;i<8;i++){
        transfer(fd,req+i,0,1);
        __android_log_print(ANDROID_LOG_INFO, "testreq", "req= %s ",req+i);
    }

    Java_android_serialport_SerialPort_close(fd);
    return 0;
}
