#ifndef TESTCOMM_485LIB_H
#define TESTCOMM_485LIB_H

#include "GPIOControl.h"
#include "SerialPort.h"
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <fcntl.h>
#include <string.h>
#include <string>
#include <thread>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/stat.h>

#include <linux/types.h>
#include <linux/spi/spidev.h>

#include <android/log.h>

using namespace std;

class lib485{
    public:
        int setaddr(int newaddr);
        int readaddr();



    private:
//        int spi_transfer(int fd, unsigned char *txbuf, unsigned char *rxbuf, int bytes);
//        unsigned char get_crc7(const unsigned char *buff, int len);
        int transfer(int fd, unsigned char *buf, bool model, int bytes);
        int delay();

        const unsigned char raddr_02h[8]={0x68,0x00,0x00,0x68,0xff,0x02,0x01,0x16};
};



#endif //TESTCOMM_485LIB_H